%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pdfposter
Version:        0.5.0
Release:        11%{?dist}
Summary:        Scale and tile PDF images/pages to print on multiple pages

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://pdfposter.origo.ethz.ch/
Source0:        http://download.origo.ethz.ch/%{name}/1095/pdftools.%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       pyPdf

%description
Pdfposter can be used to create a large poster by building it from multple
pages and/or printing it on large media. It expects as input a PDF file,
normally printing on a single page. The output is again a PDF file, maybe
containing multiple pages together building the poster.  The input page 
will be scaled to obtain the desired size.


%prep
%setup -q -n pdftools.%{name}-%{version}
#Remove shebang
for Files in pdftools/pdfposter/cmd.py pdftools/pdfposter/__init__.py; do
  sed -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  rm ${Files}.orig
done

%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root=%{buildroot}
install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README.txt examples/
%{_mandir}/man*/*.gz
%{_bindir}/%{name}
%{python_sitelib}/pdftools*/
%{python_sitelib}/pdftools*


%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 26 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-10
- Updated python BR

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Aug 13 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-8
- Added missing file

* Fri Aug 12 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-7
- Rebuild (pypdf)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Feb 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-4
- Updated BR

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 09 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-2
- Replaced 'define' with 'global'

* Sun May 03 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-1
- Updated to new upstream version 0.5.0

* Thu Apr 07 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.6-1
- Initial package for Fedora
